Unable to sync experiment to pavlovia

OS (e.g. Win10): Win10
PsychoPy version (e.g. 1.84.x): 2022.2.3
Standard Standalone? (y/n) If not then what?: y
What are you trying to achieve?:
Hi to all of you,
I am currently creating an experiment using the builder. I am continuously adding features and then uploading to pavlovia. However, when I shutdown my computer and start it again, e.g. on the next day, and try to sync new changes I get the following error message:

Traceback (most recent call last):
  File "C:\Program Files\PsychoPy\lib\site-packages\gitlab\exceptions.py", line 304, in wrapped_f
    return f(*args, **kwargs)
  File "C:\Program Files\PsychoPy\lib\site-packages\gitlab\mixins.py", line 112, in get
    server_data = self.gitlab.http_get(path, **kwargs)
  File "C:\Program Files\PsychoPy\lib\site-packages\gitlab\client.py", line 662, in http_get
    result = self.http_request(
  File "C:\Program Files\PsychoPy\lib\site-packages\gitlab\client.py", line 628, in http_request
    raise gitlab.exceptions.GitlabHttpError(
gitlab.exceptions.GitlabHttpError: 404: 404 Project Not Found

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Program Files\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py", line 663, in project
    self._project = self.session.gitlab.projects.get(self.id)
  File "C:\Program Files\PsychoPy\lib\site-packages\gitlab\v4\objects\projects.py", line 782, in get
    return cast(Project, super().get(id=id, lazy=lazy, **kwargs))
  File "C:\Program Files\PsychoPy\lib\site-packages\gitlab\exceptions.py", line 306, in wrapped_f
    raise error(e.error_message, e.response_code, e.response_body) from e
gitlab.exceptions.GitlabGetError: 404: 404 Project Not Found

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\builder\builder.py", line 1374, in onPavloviaSync
    pavlovia_ui.syncProject(parent=self, file=self.filename, project=self.project)
  File "C:\Program Files\PsychoPy\lib\site-packages\psychopy\app\pavlovia_ui\project.py", line 743, in syncProject
    if not project.localRoot or not Path(project.localRoot).is_dir():
  File "C:\Program Files\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py", line 746, in localRoot
    if self.project.path_with_namespace in knownProjects:
  File "C:\Program Files\PsychoPy\lib\site-packages\psychopy\projects\pavlovia.py", line 666, in project
    raise KeyError(f"Could not find GitLab project with id {self.id}.")
KeyError: 'Could not find GitLab project with id 248308.'

What did you try to make it work?:
The first time this error occurred I just deleted the project on pavlovia + the local .git folder, created a new project, synced again and everything worked. Since the development history isn’t so important at the moment, I don’t mind repeating this process. However, I don’t think that is how it’s supposed to work.
I also found another quite similar post in this forum. However, the only advice in that post was the same what I’ve already done.

Any help is very appreciated
Chris